Running Jalview from the command line

Jalview can be run from the command line, and provides a range of arguments. These arguments can also be passed via .JVL files, which are opened automatically by the Jalview application when double-clicked in a file browser on Windows and OSX.

The way that you launch Jalview from the command line depends on the platform you are on, and how it has been installed.

- Standard installation on Linux/Unix:

             /PATH_TO_JALVIEW/Jalview -open https://www.jalview.org/examples/jpred_msa.fasta -annotations https://www.jalview.org/examples/jpred_msa.seq.concise -colour Clustal

- Standard installation on Windows:

            \PATH_TO_JALVIEW\Jalview.exe -open %HOMEPATH%\myalignment.fa

- OSX Application:

      open /Applications/Jalview.app --args -open ~/myalignment.fa

  (put all the Jalview arguments after the --args parameter)
- Jalview standalone executable Jar

              <Path to Java home>/bin/java -jar <Path to Jalview Jar>/jalview-all-1.8.jar -open myalignment.fa

If you have installed Jalview via conda or another package manager then you most likely have a 'jalview' command available in your terminal shell's default path. Alternately, if you have built Jalview from source, then take a look at the doc/building.md file included in the source distribution.

Use '-help' to get more information on the command line arguments that Jalview accepts.

Passing JVM Arguments to Jalview
If you need to modify parameters for Jalview's Java Virtual Machine, or configure system properties, then take a look at the instructions for how to setting the JVM's maximum memory.

Changing Jalview's 'Look and Feel'
If you are experiencing issues with the font size or layout of Jalview's GUI, you can try changing Jalview's 'Look and feel' by specifying a custom system property 'laf' on startup (see setting the JVM's memory for instructions on how to do this for your platform).
For the Jalview standalone executable jar, simply provide one of the property settings before the -jar argument

- -Dlaf=system (default look and feel for the OS)
- -Dlaf=crossplatform (Java's Metal Look and Feel)
- -Dlaf=nimbus (Java's alternative Nimbus Look and Feel)
- -Dlaf=mac (only has an effect on OSX)
- -Dlaf=gtk (only has an effect on Linux)

The currently configured look and feel is logged to Jalview's console. Once the look and feel has been changed, it will be stored in Jalview's .jalview_properties file for future Jalview sessions.